Bug 1257383 - Tweak Tool's HiDPI setting doesn't apply to GNOME Shell properly
Tweak Tool's HiDPI setting doesn't apply to GNOME Shell properly
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-26 20:50 EDT by Brion Vibber
Modified: 2017-12-12 05:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:04:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of 2560x1600 desktop after enabling window scaling with tweak-tool (912.40 KB, image/png)
2015-08-26 20:50 EDT, Brion Vibber
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 741735 None None None 2016-07-27 21:34 EDT

  None (edit)
Description Brion Vibber 2015-08-26 20:50:20 EDT
Created attachment 1067463 [details]
screenshot of 2560x1600 desktop after enabling window scaling with tweak-tool

Description of problem:

When HiDPI scaling is not automatically selected, the only GUI-accessible way to enable it appears to be in the 'Tweak Tool' (gnome-tweak-tool), under the 'Window' settings. While this correctly applies to fonts, icons, etc in GNOME apps, it does not correctly apply to GNOME Shell menus, fonts, icons. This leaves a tiny top shell bar, tiny fonts in shell menus and dialogs, etc.


Version-Release number of selected component (if applicable):

3.17.90


How reproducible:

Every time.


Steps to Reproduce:
1. Get VMWare Fusion on a Retina MacBookPro
2. Create VM with a Fedora 23 .iso; in display config for the VM enable native Retina resolution 
3. Install and boot up Fedora, witness tiny text/icons/windows (bug 1256992)
4. open 'Tweak Tool' (may need to 'dnf install gnome-tweak-tool' if not already there)
5. Set window scaling to 2

Actual results:

Gnome app windows/text/icons are correctly sized, but shell windows/text/icons are not. (See screenshot)


Expected results:

App and shell windows/text/icons should all be correctly sized.


Additional info:

I'm not sure what exactly the tweak tool sets with its HiDPI scaling, but I've always had better luck with this command line:

  $ gsettings set org.gnome.desktop.interface scaling-factor 2 

which seems to fix the shell as well as the app windows.
Comment 1 Fedora End Of Life 2016-11-24 07:23:06 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-11-16 14:18:19 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-12-12 05:04:12 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.